## hkl-pseudoaxis-common-hkl-private

hkl-pseudoaxis-common-hkl-private

## Functions

int | RUBh_minus_Q ()
int | hkl_is_reachable ()
int | hkl_mode_get_hkl_real ()
int | hkl_mode_set_hkl_real ()
int | hkl_mode_initialized_set_psi_constant_vertical_real ()
HklEngine * | hkl_engine_hkl_new ()
#define | CONSTANT_PARAMETER()
#define | PSI_CONSTANT_PARAMETERS()
#define | HKL_MODE_HKL_EMERGENCE_FIXED_PARAMETERS_DEFAULTS()
HklMode * | hkl_mode_hkl_emergence_fixed_new ()

## Types and Values

struct | HklEngineHkl
#define | HKL_MODE_OPERATIONS_HKL_DEFAULTS
#define | HKL_MODE_OPERATIONS_HKL_FULL_DEFAULTS
#define | HKL_PARAMETER_EMERGENCE_DEFAULTS
#define | HKL_PARAMETER_EMERGENCE_AZIMUTH_DEFAULTS

## Description

## Functions

### RUBh_minus_Q ()

    int
    RUBh_minus_Q (double const x[],
                  void *params,
                  double f[]);

[skip]

### hkl_is_reachable ()

    int
    hkl_is_reachable (HklEngine *engine,
                      double wavelength,
                      GError **error);

### hkl_mode_get_hkl_real ()

    int
    hkl_mode_get_hkl_real (HklMode *self,
                           HklEngine *engine,
                           HklGeometry *geometry,
                           HklDetector *detector,
                           HklSample *sample,
                           GError **error);

### hkl_mode_set_hkl_real ()

    int
    hkl_mode_set_hkl_real (HklMode *self,
                           HklEngine *engine,
                           HklGeometry *geometry,
                           HklDetector *detector,
                           HklSample *sample,
                           GError **error);

### hkl_mode_initialized_set_psi_constant_vertical_real ()

    int
    hkl_mode_initialized_set_psi_constant_vertical_real
                                   (HklMode *base,
                                    HklEngine *engine,
                                    HklGeometry *geometry,
                                    HklDetector *detector,
                                    HklSample *sample,
                                    int initialized,
                                    GError **error);

### hkl_engine_hkl_new ()

    HklEngine *
    hkl_engine_hkl_new (HklEngineList *engines);

### CONSTANT_PARAMETER()

    #define             CONSTANT_PARAMETER(_name)

### PSI_CONSTANT_PARAMETERS()

    #define             PSI_CONSTANT_PARAMETERS(_h2, _k2, _l2, _psi)

### HKL_MODE_HKL_EMERGENCE_FIXED_PARAMETERS_DEFAULTS()

    #define             HKL_MODE_HKL_EMERGENCE_FIXED_PARAMETERS_DEFAULTS(_x, _y, _z, _emergence)

### hkl_mode_hkl_emergence_fixed_new ()

    HklMode *
    hkl_mode_hkl_emergence_fixed_new (const HklModeAutoInfo *info);

## Types and Values

### struct HklEngineHkl

    struct HklEngineHkl {
    	HklEngine engine;
    	HklParameter *h;
    	HklParameter *k;
    	HklParameter *l;
    };

### HKL_MODE_OPERATIONS_HKL_DEFAULTS

    #define             HKL_MODE_OPERATIONS_HKL_DEFAULTS

### HKL_MODE_OPERATIONS_HKL_FULL_DEFAULTS

    #define             HKL_MODE_OPERATIONS_HKL_FULL_DEFAULTS

### HKL_PARAMETER_EMERGENCE_DEFAULTS

    #define             HKL_PARAMETER_EMERGENCE_DEFAULTS

### HKL_PARAMETER_EMERGENCE_AZIMUTH_DEFAULTS

    #define             HKL_PARAMETER_EMERGENCE_AZIMUTH_DEFAULTS